<div class="container card bg-dark text-white">
    <div class="card-header">
        Crear Compañia
        <button type="button" class="close btn-danger " aria-label="Close" routerLink="/compania">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card-body">
        <form #companiaform="ngForm">
            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Nombre</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="compania.nombre" name="nombre" required
                        #nombre="ngModel">
                    <div class="alert alert-danger" *ngIf="nombre.invalid && nombre.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="nombre.errors.required">
                            El campo nombre es obligatorio
                        </div>
                    </div>

                </div>
            </div>
           

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">CIF</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="compania.cif" name="cif" required
                        #cif="ngModel">
                    <div class="alert alert-danger" *ngIf="cif.invalid && cif.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="cif.errors.required">
                            Introduzca un CIF
                        </div>
                    </div>
                </div>
            </div>         


            <div class="form-group row">
                <div class="col-sm-6">
                    <button class="btn btn-primary" type="button" (click)="create()" 
                        [disabled]="!companiaform.form.valid">Crear</button>
                   <!-- <button class="btn btn-primary" type="button" (click)="update()" *ngIf="nuevoJuego"
                        [disabled]="!juegoform.form.valid">Editar</button>-->
                </div>
            </div>
        </form>
    </div>
</div>